// axios.js
import axios from "axios";
let VUE_APP_API_URL = import.meta.env.VITE_USER_APP_API_URL;
const instance = axios.create({
  baseURL: `${VUE_APP_API_URL}`, // 设置基础 URL
  // baseURL:'/api',
  timeout: 1000, // 设置请求超时时间
});
instance.interceptors.request.use(
  (config: any) => {
    // 在发送请求之前做些什么，例如添加 token
    const token = localStorage.getItem("token");
    if (token) {
      config.headers["X-Access-Token"] = `Bearer ${token}`;
    }
    return config;
  },
  (error: any) => {
    return Promise.reject(error);
  }
);

instance.interceptors.response.use(
  (response: any) => {
    // 对响应数据做点什么
    return response.data;
  },
  (error: any) => {
    // 对响应错误做点什么
    console.log(error);
    return Promise.reject(error);
  }
);
export default instance;
